> For the complete documentation index, see [llms.txt](https://docs.goproxies.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.goproxies.com/proxies/shared-datacenter-proxies/shared-datacenter-proxies.md).

# Shared DataCenter Proxies

Service is accessed using following entry data:

* **Host:** hosting.goproxies.com - All countries.&#x20;
* **Port:** 1080
* **Authorisation:** Basic
* **Username/Password:** *\[provided separately]*

There are two types of credentials:

1. **Dashboard user** - used to access the [GoProxies dashboard](https://dashboard.goproxies.com/).
2. **Proxy user** - used to access our proxy pool. Please ensure you use the proxy user credentials when sending requests to our proxy network.

You can test it via any application that has HTTP(s) proxy feature (Chrome, SwitchyOmega, Profixier, Foxy Proxy, Proxy Switcher etc.) or simply a terminal command:

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --proxytunnel --proxy "https://customer-USERNAME:PASSWORD@hosting.goproxies.com:1080" https://ip.goproxies.com
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}

```bash
npm install axios https-proxy-agent
```

```javascript
const axios = require('axios');
const { HttpsProxyAgent } = require('https-proxy-agent');

const username = 'customer-USERNAME';
const password = 'PASSWORD';
const proxyUrl = `http://${encodeURIComponent(username)}:${encodeURIComponent(password)}@hosting.goproxies.com:1080`;
const agent = new HttpsProxyAgent(proxyUrl);

(async () => {
  try {
    const res = await axios.get('https://ip.goproxies.com', { httpsAgent: agent, timeout: 10000 });
    console.log(res.status, res.data);
  } catch (err) {
    console.error('request error:', err.message);
  }
})();
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

username = "customer-USERNAME"
password = "PASSWORD"

proxy = f"https://{username}:{password}@hosting.goproxies.com:1080"

proxies = {
    "http": proxy,
    "https": proxy,
}

resp = requests.get("https://ip.goproxies.com", proxies=proxies, timeout=10)

print(resp.status_code)
print(resp.text)

```

{% endtab %}

{% tab title="Go" %}

{% endtab %}

{% tab title="Java" %}

```java
import org.apache.http.HttpHost;
import org.apache.http.auth.AuthScope;
import org.apache.http.auth.UsernamePasswordCredentials;
import org.apache.http.client.CredentialsProvider;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.impl.client.BasicCredentialsProvider;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;

public class SharedDatacenterProxy {
    public static void main(String[] args) throws Exception {
        String proxyHost = "hosting.goproxies.com";
        int proxyPort = 1080;
        String user = "customer-USERNAME";
        String pass = "PASSWORD";

        CredentialsProvider credsProvider = new BasicCredentialsProvider();
        credsProvider.setCredentials(new AuthScope(proxyHost, proxyPort),
                new UsernamePasswordCredentials(user, pass));

        HttpHost proxy = new HttpHost(proxyHost, proxyPort);
        RequestConfig config = RequestConfig.custom().setProxy(proxy).build();

        try (CloseableHttpClient httpclient = HttpClients.custom()
                .setDefaultCredentialsProvider(credsProvider)
                .build()) {

            HttpGet httpget = new HttpGet("https://ip.goproxies.com");
            httpget.setConfig(config);

            try (CloseableHttpResponse response = httpclient.execute(httpget)) {
                System.out.println(response.getStatusLine());
                System.out.println(new String(response.getEntity().getContent().readAllBytes()));
            }
        }
    }
}
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'uri'

username = 'customer-USERNAME'
password = 'PASSWORD'

uri = URI('https://ip.goproxies.com')
proxy_addr = 'hosting.goproxies.com'
proxy_port = 1080

Net::HTTP::Proxy(proxy_addr, proxy_port, username, password).start(uri.host, uri.port, use_ssl: true) do |http|
  req = Net::HTTP::Get.new(uri)
  res = http.request(req)
  puts res.code
  puts res.body
end
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$ch = curl_init('https://ip.goproxies.com');

curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_PROXY, 'hosting.goproxies.com:1080');
curl_setopt($ch, CURLOPT_PROXYUSERPWD, 'customer-USERNAME:PASSWORD');
curl_setopt($ch, CURLOPT_HTTPPROXYTUNNEL, true);

$response = curl_exec($ch);
if ($response === false) {
    echo 'cURL error: ' . curl_error($ch) . PHP_EOL;
} else {
    echo 'Response: ' . $response . PHP_EOL;
}
curl_close($ch);
```

{% endtab %}
{% endtabs %}

#### Control Your Connection <a href="#control-your-connection" id="control-your-connection"></a>

* You can refine your proxy request by including parameters that manage IP selection.&#x20;
* Continue reading our step-by-step guide for more information on additional proxy parameters, along with detailed examples.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.goproxies.com/proxies/shared-datacenter-proxies/shared-datacenter-proxies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
